none
Rejected Addin submission RRS feed

  • Question

  • Hi,

    I have developed an Outlook addin for our customers so they can integrate our tool with their Outlook more easily. I submitted my addin to the Office Store and got it rejected. I'm now trying to fix the issues that was in the report, however one of the issues has left me puzzled.

    In the report it says that the addin is not working properly on Outlook for Mac. My addin uses the Dialog API - which requires Mailbox 1.4. Reference: https://dev.outlook.com/reference/add-ins/Office.context.ui.html. Further, my addin is only available from the compose view (Mail write).

    According to https://dev.office.com/add-in-availability Outlook for Mac supports only Mailbox 1.1 and "Extension points" Mail Read.

    So why is my addin rejected with the reason that it's not working on Mac when the requirements specified in my manifest clearly are not met on that platform?

    EDIT: Is it possible to mark Mac as not supported and that way they won't test Mac?

    How can I avoid the addin being rejected again because of this?
    Thanks in advance :)
    /Max


    • Edited by Canned.me Monday, February 20, 2017 5:32 PM
    Sunday, February 19, 2017 12:05 PM

All replies

  • Hi Canned.me,

    I think that I already saw this issue before.

    Rejected Addin submission

    so please , confirm whether this both issues are same or not.

    if they are same then I already provided you a suggestion in that other thread.

    kindly refer that suggestion.

    Regards

    Deepak


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Monday, February 20, 2017 5:49 AM
    Moderator
  • Hi Deepak,

    Yes unfortunately those resources didn't help. Look here:

    https://dev.office.com/reference/add-ins/outlook/tutorial-api-requirement-sets

    It says on that page: 

    "Not all Outlook clients support the newest set of APIs, but if an Outlook client declares support for a requirement set, it supports all of the APIs in that requirement set.

    Setting a minimum requirement set version in the manifest controls which Outlook client the add-in will appear in. If a client does not support the minimum requirement set, it does not load the add-in. For example, if requirement set version 1.3 is specified, this means the add-in will not show up in any Outlook client that doesn't support at least 1.3."

    And this is a snippet from my manifest.xml:

      <Hosts>
        <Host Name="Mailbox" />
      </Hosts>
      <Requirements>
        <Sets>
          <Set Name="Mailbox" MinVersion="1.4" />
        </Sets>
      </Requirements>

    My addin is not supposed to show up on Outlook for Mac - but my addin is rejected just because of this reason... I can't understand how those two go together...

    If you look at the big email addins, like Boomerang, they are not supported on Outlook for Mac. Reason probably being that they also utilize features that are not yet supported on Mac.

    Please help! :(

    /Max






    • Edited by Canned.me Monday, February 20, 2017 7:16 PM
    Monday, February 20, 2017 5:41 PM
  • Hi Canned.me,

    I will try to discuss this mac issue with other engineers.

    I will inform you the suggestion given by them.

    I will get back to you as soon as possible after they give me any suggestions.

    Regards

    Deepak


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Tuesday, February 21, 2017 6:18 AM
    Moderator
  • Alright, thank you so much!! :)
    • Edited by Canned.me Tuesday, February 21, 2017 3:20 PM
    Tuesday, February 21, 2017 3:20 PM
  • Hi Canned.me,

    I discussed with other engineers.

    as you already uses mailbox 1.4 so it will not supported by mac. so addin will not work for mac.

    technically everything is correct.

    but when you publish your addin to office store then it get rejected.

    so the issue is related with office store.

    it is out of our scope.

    please try to contact Office store forum and raise this issue there.

    Office store support

    Regards

    Deepak


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Wednesday, February 22, 2017 5:10 AM
    Moderator